Name:           xfce4-taskmanager
Version:        0.4.1
Release:        1%{?dist}
Summary:        Taskmanager for the Xfce desktop environment

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/applications/%{name}
Source0:        http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxfcegui4-devel >= 4.4
BuildRequires:  gettext, desktop-file-utils, intltool

%description
A simple taskmanager for the Xfce desktop environment.


%prep
%setup -q
# convert ChangeLog and THANKS to UTF-8 to make rpmlint happy
iconv -f ISO88591 -t UTF8 ChangeLog -o ChangeLog
iconv -f ISO88591 -t UTF8 THANKS -o THANKS


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

desktop-file-install --vendor fedora                      \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
  --add-category GTK                                      \
  --remove-category Application                           \
  --delete-original                                       \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop


%changelog
* Tue Sep 30 2008 Christoph Wickert <fedora christoph-wickert de> - 0.4.1-1
- Update to 0.4.1
- Remove patches (fixed upstream)

* Sat May 24 2008 Christoph Wickert <fedora christoph-wickert de> - 0.4.0-1
- Update to 0.4.0 stable which has finally been released
- Add patch to fix 0%-CPU bug (rebased version of Enrico Tröger's patch)
- Add patch to fix some compiler warnings (also based on Enrico's work)
- Update license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.0-0.3.rc2
- Autorebuild for GCC 4.3

* Thu Oct 05 2006 Christoph Wickert <fedora christoph-wickert de> - 0.4.0-0.2.rc2
- Bump release for devel checkin.

* Tue Oct 03 2006 Christoph Wickert <fedora christoph-wickert de> - 0.4.0-0.1.rc2
- Update to 0.4-rc2.
- Add BR on perl(XML::Parser), drop intltool.

* Mon Oct 02 2006 Christoph Wickert <fedora christoph-wickert de> - 0.3.1-6
- Rebuild for XFCE 4.4.

* Mon Sep 04 2006 Christoph Wickert <fedora christoph-wickert de> - 0.3.1-5
- Mass rebuild for Fedora Core 6.
- Fix %%defattr.

* Sat Jun 03 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-4
- Add intltool BR (#193444).

* Thu Feb 16 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-3
- Rebuild for Fedora Extras 5.

* Thu Dec 15 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-2
- Initial Fedora Extras version.
- Add xfce4-taskmanager.desktop.
- Remove useless NEWS from %%doc.
- Clean up specfile.

* Sat Jul 09 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-1.fc4.cw
- Updated to version 0.3.1.
- Rebuild for Core 4.

* Thu Apr 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.1-1.fc3.cw
- Initial RPM release.
